Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND > Class Template Reference

Template class for INOUT skeleton bd (w)string argument. More...

`#include <BD_String_SArgument_T.h>`

Inheritance diagram for TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >:

[legend]
Collaboration diagram for TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >:

[legend]
List of all members.

## Public Methods

| Out_BD_String_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S *& | arg (void)

## Private Attributes

S_var | x_

## Detailed Description

### template<typename S, typename S_var, typename S_out, typename to_S, typename from_S, size_t BOUND>
class TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >

Template class for INOUT skeleton bd (w)string argument.

## Constructor & Destructor Documentation

template<typename S, typename S_var, typename S_out, typename to_S, typename from_S, size_t BOUND>
ACE_INLINE TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >::Out_BD_String_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_var, typename S_out, typename to_S, typename from_S, size_t BOUND>
ACE_INLINE S *& TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >::arg | ( | void |  | ) |

template<typename S, typename S_var, typename S_out, typename to_S, typename from_S, size_t BOUND>
void TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var, typename S_out, typename to_S, typename from_S, size_t BOUND>
CORBA::Boolean TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_var, typename S_out, typename to_S, typename from_S, size_t BOUND>
S_var TAO::Out_BD_String_SArgument_T< S, S_var, S_out, to_S, from_S, BOUND >::x_`[private]`

The documentation for this class was generated from the following files:

- BD_String_SArgument_T.h
- BD_String_SArgument_T.cpp
- BD_String_SArgument_T.inl